Adding OS detection for older ZyWALL USG 300 firewall. #5185

Closed
wjonker85 opened this Issue Dec 16, 2016 · 4 comments

Projects

None yet

2 participants

@wjonker85
wjonker85 commented Dec 16, 2016 edited

DO NOT DELETE THIS INFORMATION.

Please read this information carefully.

GitHub issues is for feature requests or bugs, please do not post issues asking for help or how to do X, Y or Z.
You can use our irc channel ##librenms on freenode to ask questions or our community site.

  • Is your install up to date? Updating your install
    Please do not submit an issue if your install is not up to date within the last 24 hours or on a stable monthly release.
  • Please include all of the information between the ==================================== section of ./validate.php.
  • If you would like us to add a new device or your device is listed as Generic then please provide the information asked for here
  • Please provide as much detail as possible.
@wjonker85

Adding the following to /opt/librenms/includes/discovery/os/zywall.inc.php wil add support for ZyWALL USG 300 with older firmware.

if (strstr($sysObjectId, '.1.3.6.1.4.1.890.1.6')) {
$os = 'zywall';
}

@wjonker85
==========================================================Component Version
LibreNMS eedd8e3
DB Schema 152
PHP 7.0.8-0ubuntu0.16.04.3
MySQL 10.0.28-MariaDB-0ubuntu0.16.04.1
RRDTool 1.5.5
SNMP NET-SNMP 5.7.3
==========================================================
@laf
Member
laf commented Dec 16, 2016

We need the poller/debug/walk output asked for at the top.

@wjonker85

Information below. The OS should be zywall

Discovery : http://pastebin.com/41hPPbRt
Poller : http://pastebin.com/hqr9SaH3
SNMPWalk : http://pastebin.com/2uCHbFAD

@Rosiak Rosiak referenced this issue Dec 21, 2016
Merged

newdevice: Zyxel ZyWALL Improvement #5215

2 of 2 tasks complete
@laf laf closed this in #5215 Dec 22, 2016
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment